require 'spec_helper'
require 'trip_advisor/translation'

describe TripAdvisor::Translation do
  it "strips leading and trailing whitespace from key attribute" do
    translation = TripAdvisor::Translation.new(key: " the key   ")
    translation.key.should == 'the key'
  end
end

describe TripAdvisor::Translation::Localization do
  it "strips leading and trailing whitespace from string attribute" do
    translation = TripAdvisor::Translation::Localization.new(string: " the value   ")
    translation.string.should == 'the value'
  end
  
  it "handles TripAdvisor locale substitutions" do
    translation = TripAdvisor::Translation::Localization.new(locale_identifier: "no")
    translation.locale_identifier.should == 'nb'    
  end
end
