# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'trip_advisor/version'

Gem::Specification.new do |spec|
  spec.name          = "trip_advisor"
  spec.version       = TripAdvisor::VERSION
  spec.authors       = ["Blake Watters"]
  spec.email         = ["bwatters@tripadvisor.com"]
  spec.description   = %q{A Ruby interface for interacting with TripAdvisor development API's}
  spec.summary       = %q{This library provides interfaces to a number of TripAdvisor internal API's used for development purposes.}
  spec.homepage      = "http://engineering.tripadvisor.com"
  spec.license       = "Commercial"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency 'nokogiri', '~> 1.6.0'
  spec.add_dependency 'rest-client', '~> 1.6.7'
  spec.add_dependency 'addressable', '~> 2.3.5'
  spec.add_dependency 'twine', '~> 0.4.0'
  spec.add_dependency 'highline', '~> 1.6.19'
  spec.add_dependency 'rugged', '~> 0.19.0'
  spec.add_dependency 'oj', '~> 2.1.6'
  spec.add_dependency 'cocoapods', '~> 0.38.2'
  spec.add_dependency 'xcpretty', '~> 0.1.7'
  
  spec.add_development_dependency "bundler", "~> 1.10.6"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec", "~> 2.14.0"
  spec.add_development_dependency "simplecov", "~> 0.7.1"
  spec.add_development_dependency "webmock", "~> 1.13.0"
  spec.add_development_dependency "excon", "~> 0.26.0"
  spec.add_development_dependency "tomdoc", "~> 0.2.5"
end
